Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::FrameEvent Struct Reference

Struct containing information about a frame event. More...

`#include <OgreFrameListener.h>`

List of all members.

## Public Attributes

Real | timeSinceLastEvent
| Elapsed time in seconds since the last event.
Real | timeSinceLastFrame
| Elapsed time in seconds since the last event of the same type, i.e.

## Detailed Description

Struct containing information about a frame event.

Definition at line 35 of file OgreFrameListener.h.

## Member Data Documentation

Real Ogre::FrameEvent::timeSinceLastEvent

Elapsed time in seconds since the last event.

This gives you time between frame start & frame end, and between frame end and next frame start.

Remarks:
  This may not be the elapsed time but the average elapsed time between recently fired events.

Definition at line 44 of file OgreFrameListener.h.

Referenced by Ogre::Root::_fireFrameEnded(), and Ogre::Root::_fireFrameStarted().

Real Ogre::FrameEvent::timeSinceLastFrame

Elapsed time in seconds since the last event of the same type, i.e.

time for a complete frame.

Remarks:
  This may not be the elapsed time but the average elapsed time between recently fired events of the same type.

Definition at line 51 of file OgreFrameListener.h.

Referenced by Ogre::Root::_fireFrameEnded(), Ogre::Root::_fireFrameStarted(), Ogre::FrameTimeControllerValue::frameStarted(), and Ogre::ParticleSystemManager::frameStarted().

The documentation for this struct was generated from the following file:

- OgreFrameListener.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:58 2004